Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | Safe
Language | Haskell2010

Agda.Termination.CutOff

Description

Defines `CutOff` type which is used in Agda.Interaction.Options. This module's purpose is to eliminate the dependency of Agda.TypeChecking.Monad.Base on the termination checker and everything it imports.

Synopsis

- data CutOff
  - = CutOff Int
  - | DontCutOff

# Documentation

data CutOff #

Cut off structural order comparison at some depth in termination checker?

Constructors

CutOff Int | `c >= 0` means: record decrease up to including `c+1`.
DontCutOff |

Instances

Eq CutOff # |
Methods (==) :: CutOff -> CutOff -> Bool # (/=) :: CutOff -> CutOff -> Bool #
Ord CutOff # |
Methods compare :: CutOff -> CutOff -> Ordering # (<) :: CutOff -> CutOff -> Bool # (<=) :: CutOff -> CutOff -> Bool # (>) :: CutOff -> CutOff -> Bool # (>=) :: CutOff -> CutOff -> Bool # max :: CutOff -> CutOff -> CutOff # min :: CutOff -> CutOff -> CutOff #
Show CutOff # |
Methods showsPrec :: Int -> CutOff -> ShowS # show :: CutOff -> String # showList :: [CutOff] -> ShowS #